Technic API

Base: https://api.technicpack.net

Technic Platform modpack search and details — requires build parameter.

Handler: TechnicProvider
GET /search/modpacks/{query}

Search Modpacks

Search Technic modpacks (requires build number)

Parameter

Name Type Required Description
query string Yes Search keyword
build string No Launcher build number (default: 822)

Response Example

{"modpacks":{"tekkit":{"name":"tekkit","display_name":"Tekkit","url":"https://...","icon":"https://..."}}}

cURL

curl "https://api.technicpack.net/search/modpacks/tekkit?build=822"
GET /modpack/{slug}

Get Modpack Details

Get detailed modpack info by slug

Parameter

Name Type Required Description
slug string Yes Technic modpack slug
build string No Launcher build number

Response Example

{"name":"tekkit","displayName":"Tekkit","url":"https://...","platformUrl":"https://...","minecraft":"1.12.2","ratings":50000,"runs":2000000}

cURL

curl "https://api.technicpack.net/modpack/tekkit?build=822"